<?php
/**
 * This widget presents loop content, based on your input, specifically for the homepage.
 *
 * @package AgentPress
 * @since 2.0
 * @author Nathan Rice
 */
class Property_wise_agent_details extends WP_Widget {

	function Property_wise_agent_details() {
		$widget_ops = array( 'classname' => 'agents-details', 'description' => __( 'Display property-wise agent details.', 'apl' ) );
		$control_ops = array( 'width' => 300, 'height' => 350 );
		$this->WP_Widget( 'agents-details', __( 'Agent - Propertywise', 'apl' ), $widget_ops, $control_ops );
	}

	function widget( $args, $instance ) {
	
		/** defaults */
		$instance = wp_parse_args( $instance, array(
			'title' 			=> '',
			'posts_per_page'	=> 10
		) );
	
		extract( $args );
		global $wp_query;
$post_obj = $wp_query->get_queried_object();
$Page_ID = $post_obj->ID;
$post_type= get_post_type( $Page_ID );
$taxonomy = 'real_estate_agents_tax';
$meta_values = wp_get_post_terms($Page_ID, $taxonomy, $args);
$edit_agent_details = get_agent_by_term_id($meta_values[0]->term_id);
//echo '<pre>';print_r($edit_agent_details);
if($post_type == 'listing' && !empty($edit_agent_details)){
		echo $before_widget;
		
		if ( ! empty( $instance['title'] ) ) {
			echo $before_title . apply_filters( 'widget_title', $instance['title'], $instance, $this->id_base ) . $after_title;
		}
		echo '<div class="agent_details">';
		echo '<div class="agent_image"><img src="'.$edit_agent_details[4]->agent_meta_value.'" alt="agent_image" widht="65" height="65" /></div>';
		echo '<div class="agent_details_2">';
		echo '<strong>'.$edit_agent_details[0]->agent_meta_value.'</strong><br/><span class="email"><a href="mailto:'.$edit_agent_details[2]->agent_meta_value.'">'.$edit_agent_details[2]->agent_meta_value.'</a></span><span class="contact">'.$edit_agent_details[1]->agent_meta_value.'</span>';
		echo '</div>';
		echo '</div>';
		echo '<div><a href="'.get_site_url().'/?page_id=831&agentName='.$meta_values[0]->slug.'" style="float:left;">View more property of this agent.</a></div>';
		echo '<div style="clear:both"></div>';
		echo $after_widget;
		}	
	}
	function update( $new_instance, $old_instance ) {
		return $new_instance;
	}
	function form( $instance ) {
		
		$instance = wp_parse_args( $instance, array(
			'title'				=> '',
			'posts_per_page'	=> 10
		) );
			
		printf( '<p><label for="%s">%s</label><input type="text" id="%s" name="%s" value="%s" style="%s" /></p>', $this->get_field_id('title'), __( 'Title:', 'apl' ), $this->get_field_id('title'), $this->get_field_name('title'), esc_attr( $instance['title'] ), 'width: 95%;' );		
		
		
	}
}