<?php 
function get_all_agents(){	   
	global $wpdb;
	$sqlString = "
				 SELECT * 
				 FROM 					
					`{$wpdb->prefix}terms` AS term,
					`{$wpdb->prefix}term_taxonomy` AS tax					
				WHERE 					 
					term.term_id = tax.term_id 
				AND
					tax.taxonomy = 'real_estate_agents_tax' 
				ORDER BY term.term_id ASC";
				
	$agents = $wpdb->get_results($sqlString, OBJECT);
	return $agents;

}
function delete_agent($agent_slug)
{
	global $wpdb;
	$get_agent_term_details = get_term_by('slug', $agent_slug, 'real_estate_agents_tax');
	$table  = $wpdb->prefix.'agents_metadata';
	$wpdb->query( $wpdb->prepare( "DELETE FROM $table WHERE agent_term_id = $get_agent_term_details->term_id"));
	wp_delete_term( $get_agent_term_details->term_id, 'real_estate_agents_tax' );
	return 'deleted_success';	
}
function get_agent_by_term_id($term_id){
	global $wpdb;
	$table  = $wpdb->prefix.'agents_metadata';
	$sqlString = "SELECT * FROM $table WHERE agent_term_id = $term_id ORDER BY agent_meta_id ASC";				
	$single_agent_detail = $wpdb->get_results($sqlString, OBJECT);
	return $single_agent_detail;
}
function get_single_agent_for_edit($term_id){
	global $wpdb;
	$table  = $wpdb->prefix.'agents_metadata';
	$querystr = "SELECT * FROM $table WHERE agent_term_id = $term_id";
	$agent = $wpdb->get_results($querystr, OBJECT);
	return $agent;
		
}
function get_agent_meta_id($agent_termid,$agent_metakey)
{
	global $wpdb;
	$table  = $wpdb->prefix.'agents_metadata';
	$querystr = "SELECT agent_meta_id FROM $table WHERE agent_meta_key = '$agent_metakey' AND agent_term_id = $agent_termid";
	$agent_meta_id = $wpdb->get_results($querystr, OBJECT);
	return $agent_meta_id;
}
function email_available($email)
{
		global $wpdb; 
		$table2  = $wpdb->prefix.'agent_details';
		$querystr = "SELECT agent_email FROM `$table2` WHERE agent_email = '".$email."'";				
		$get_agent_email = $wpdb->get_results($querystr, OBJECT);
		if($get_agent_email[0]->agent_email == $email)
		{
			return false;
		}
		return true;
}
function full_url()
{
    $s = empty($_SERVER["HTTPS"]) ? '' : ($_SERVER["HTTPS"] == "on") ? "s" : "";
    $protocol = substr(strtolower($_SERVER["SERVER_PROTOCOL"]), 0, strpos(strtolower($_SERVER["SERVER_PROTOCOL"]), "/")) . $s;
    $port = ($_SERVER["SERVER_PORT"] == "80") ? "" : (":".$_SERVER["SERVER_PORT"]);
    return $protocol . "://" . $_SERVER['SERVER_NAME'] . $port . $_SERVER['REQUEST_URI'];
}
?>